package ut

import (
	"fmt"
	"time"
)

func testCreatPayment() {
	testAppId := "app_7d87c043-aae3-4357-9b2c-269349a980d6"

	createPaymentParams := make(map[string]interface{})
	createPaymentParams["order_no"] = time.Now().UnixNano()
	createPaymentParams["app_id"] = testAppId
	createPaymentParams["pay_channel"] = "alipay"
	createPaymentParams["pay_amt"] = "0.01"
	createPaymentParams["goods_title"] = "subject"
	createPaymentParams["goods_desc"] = "body"
	createPaymentParams["currency"] = "cny"

	data, apiError, err := Adapay.Payment().Create(createPaymentParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

/**
查一条历史成功创建的payment
*/
func testPaymentQuery() {
	createPaymentParams := map[string]interface{}{
		"payment_id": "002112019102115043910032250858429440000",
	}

	data, apiError, err := Adapay.Payment().Query(createPaymentParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestPayment() {
	testPaymentQuery()
}
